Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 8266 - USER TEST: No GUI mechanism to add import statements to class
USER TEST: No GUI mechanism to add import statements to class
Status: CLOSED FIXED
Product: java
Classification: Unclassified
Component: Unsupported
3.x
PC Windows 3.1/NT
: P3 (vote)
: 3.x
Assigned To: issues@java
issues@java
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-08 01:11 UTC by jhoffman
Modified: 2013-07-04 02:22 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jhoffman 2000-11-08 01:11:40 UTC
More than half of the users in our FFJ user test noticed that there is no
mechanism to add import statements to the code other than typing them
directly in the editor *after* you have gone through the new class wizard.

If you could specify the java packages for your import statements near the
beginning of the wizard, then perhaps you could browse for class names
in other areas of the wizard.  This way you don't have to remember lots of
class names and you can complete your class entirely within the class wizard.

There is also no mechanism to add an import statement to a java file from the
explorer window.  It should use a similar interaction as adding a method or
a field.
Comment 1 Svata Dedic 2000-11-08 07:16:59 UTC
Yes, it is already being worked on. We are preparing an "Import management tool"
for the next release that would help users import identifiers widely used in
their sources. I was thinking about adding a page in the java wizard, too.
Comment 2 Jan Becicka 2001-03-23 10:48:35 UTC
-> Import management tool
Comment 3 Jan Becicka 2001-04-04 15:42:23 UTC
[release32-20] Verified
Comment 4 Jan Chalupa 2001-05-05 23:23:22 UTC
Target milestone -> 3.2
Comment 5 Quality Engineering 2003-07-01 13:17:00 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.
Comment 6 Quality Engineering 2007-09-20 12:10:15 UTC
Reorganization of java component
Comment 7 Quality Engineering 2013-07-04 02:22:06 UTC
Integrated into 'main-silver', will be available in build *201307032300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/1b5061322817
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: fixed #231731 - RepositoryRelocationTest unit test failed since build #8266 (Windows)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo